JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Types | Public Member Functions | Friends | List of all members
Json::ValueConstIterator Class Reference

const iterator for object and array value. More...

`#include <json/value.h>`

Inheritance diagram for Json::ValueConstIterator:
Collaboration diagram for Json::ValueConstIterator:

## Public Types
typedef const Value | value_type
typedef const Value & | reference
typedef const Value * | pointer
typedef ValueConstIterator | SelfType
Public Types inherited from Json::ValueIteratorBase
typedef std::bidirectional_iterator_tag | iterator_category
typedef unsigned int | size_t
typedef int | difference_type
typedef ValueIteratorBase | SelfType

## Public Member Functions
| ValueConstIterator ()
| ValueConstIterator (ValueIterator const &other)
SelfType & | operator= (const ValueIteratorBase &other)
SelfType | operator++ (int)
SelfType | operator-- (int)
SelfType & | operator-- ()
SelfType & | operator++ ()
reference | operator* () const
pointer | operator-> () const
Public Member Functions inherited from Json::ValueIteratorBase
bool | operator== (const SelfType &other) const
bool | operator!= (const SelfType &other) const
difference_type | operator- (const SelfType &other) const
Value | key () const
| Return either the index or the member name of the referenced value as a Value. More...
UInt | index () const
| Return the index of the referenced Value, or -1 if it is not an arrayValue. More...
std::string | name () const
| Return the member name of the referenced Value, or "" if it is not an objectValue. More...
char const * | memberName () const
| Return the member name of the referenced Value. More...
char const * | memberName (char const **end) const
| Return the member name of the referenced Value, or NULL if it is not an objectValue. More...
| ValueIteratorBase ()
| ValueIteratorBase (const Value::ObjectValues::iterator &current)

## Friends
class | Value

## Additional Inherited Members
Protected Member Functions inherited from Json::ValueIteratorBase
Value & | deref () const
void | increment ()
void | decrement ()
difference_type | computeDistance (const SelfType &other) const
bool | isEqual (const SelfType &other) const
void | copy (const SelfType &other)

## Detailed Description

const iterator for object and array value.

Definition at line 774 of file value.h.

## Member Typedef Documentation

## ◆ pointer

typedef const Value* Json::ValueConstIterator::pointer

Definition at line 782 of file value.h.

## ◆ reference

typedef const Value& Json::ValueConstIterator::reference

Definition at line 781 of file value.h.

## ◆ SelfType

typedef ValueConstIterator Json::ValueConstIterator::SelfType

Definition at line 783 of file value.h.

## ◆ value_type

typedef const Value Json::ValueConstIterator::value_type

Definition at line 778 of file value.h.

## Constructor & Destructor Documentation

## ◆ ValueConstIterator() [1/2]

Json::ValueConstIterator::ValueConstIterator | ( |  | ) |

Definition at line 126 of file json_valueiterator.inl.

References Json::ValueIteratorBase::ValueIteratorBase().

## ◆ ValueConstIterator() [2/2]

Json::ValueConstIterator::ValueConstIterator | ( | ValueIterator const & | other | ) |

Definition at line 132 of file json_valueiterator.inl.

References operator=().

## Member Function Documentation

## ◆ operator*()

reference Json::ValueConstIterator::operator* | ( |  | ) | const
| inline

Definition at line 817 of file value.h.

## ◆ operator++() [1/2]

SelfType Json::ValueConstIterator::operator++ | ( | int |  | ) |
| inline

Definition at line 795 of file value.h.

## ◆ operator++() [2/2]

SelfType& Json::ValueConstIterator::operator++ | ( |  | ) |
| inline

Definition at line 812 of file value.h.

## ◆ operator--() [1/2]

SelfType Json::ValueConstIterator::operator-- | ( | int |  | ) |
| inline

Definition at line 801 of file value.h.

## ◆ operator--() [2/2]

SelfType& Json::ValueConstIterator::operator-- | ( |  | ) |
| inline

Definition at line 807 of file value.h.

## ◆ operator->()

pointer Json::ValueConstIterator::operator-> | ( |  | ) | const
| inline

Definition at line 819 of file value.h.

## ◆ operator=()

ValueConstIterator & Json::ValueConstIterator::operator= | ( | const ValueIteratorBase & | other | ) |

Definition at line 136 of file json_valueiterator.inl.

References Json::ValueIteratorBase::copy().

Referenced by ValueConstIterator().

Here is the caller graph for this function:

## Friends And Related Function Documentation

## ◆ Value

friend class Value
| friend

Definition at line 775 of file value.h.

The documentation for this class was generated from the following files:

- include/json/value.h
- src/lib_json/json_valueiterator.inl